local SideBarBaseCellComp = require "app/ui/main_city/cell/side_bar_base_cell"
local SideBarGrowthFundCell = class("SideBarGrowthFundCell", SideBarBaseCellComp)

function SideBarGrowthFundCell:getModuleKey()
    return ModuleManager.MODULE_KEY.FUND
end

function SideBarGrowthFundCell:getIsOpen()
    return DataManager.GrowthFundData:getIsOpen()
end

function SideBarGrowthFundCell:getSpineName()
    return "ui_main_btn_fund"
end

function SideBarGrowthFundCell:onClick()
    ModuleManager.FundManager:showLevelFundUI()
end

function SideBarGrowthFundCell:getIsShowRedPoint()
    return DataManager.GrowthFundData:getIfCanClaimReward()
end

function SideBarGrowthFundCell:getHasShake()
    return true
end

return SideBarGrowthFundCell